## eventviews 25.08.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(ECMAddQch)
option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(AKONADI_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")

find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "3.0.0")
find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfigVersion.cmake"
                        SOVERSION 6
)
option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

########### Targets ###########
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.16.0
)
add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6EventViews")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6EventViews_QCH
        FILE KPim6EventViewsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6EventViewsQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimEventViewsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6EventViewsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6EventViewsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/eventviews_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/EventViews
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h tests/*.cpp tests/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libeventviews6\")
add_library(KPim6EventViews)
add_library(KPim6::EventViews ALIAS KPim6EventViews)

if(KDEPIM_BUILD_EXAMPLES)
    add_subdirectory(viewerapp)
endif()

########### next target ###############

target_sources(
    KPim6EventViews
    PRIVATE
        eventview_p.cpp
        eventview.cpp
        helper.cpp
        prefs.cpp
        # Agenda view specific code.
        agenda/agenda.cpp
        agenda/agendaitem.cpp
        agenda/agendaview.cpp
        agenda/alternatelabel.cpp
        agenda/calendardecoration.cpp
        agenda/decorationlabel.cpp
        agenda/timelabels.cpp
        agenda/timelabelszone.cpp
        agenda/timescaleconfigdialog.cpp
        agenda/viewcalendar.cpp
        journal/journalframe.cpp
        journal/journalview.cpp
        list/listview.cpp
        month/monthgraphicsitems.cpp
        month/monthitem.cpp
        month/monthscene.cpp
        month/monthview.cpp
        multiagenda/multiagendaview.cpp
        todo/tododelegates.cpp
        todo/coloredtodoproxymodel.cpp
        todo/todoviewquickaddline.cpp
        todo/todoviewquicksearch.cpp
        todo/todoviewsortfilterproxymodel.cpp
        todo/todoviewview.cpp
        todo/todoview.cpp
        timeline/timelineview.cpp
        timeline/timelineitem.cpp
        timeline/timelineview_p.cpp
        whatsnext/whatsnextview.cpp
        eventview_p.h
        journal/journalframe.h
        journal/journalview.h
        list/listview.h
        eventview.h
        whatsnext/whatsnextview.h
        timeline/timelineview_p.h
        timeline/timelineview.h
        timeline/timelineitem.h
        todo/todoviewsortfilterproxymodel.h
        todo/todoviewview.h
        todo/todoviewquicksearch.h
        todo/tododelegates.h
        todo/todoview.h
        todo/todoviewquickaddline.h
        multiagenda/multiagendaview.h
        multiagenda/configdialoginterface.h
        agenda/timelabelszone.h
        agenda/agendaview.h
        agenda/timescaleconfigdialog.h
        agenda/alternatelabel.h
        agenda/agendaitem.h
        agenda/timelabels.h
        agenda/calendardecoration.h
        agenda/decorationlabel.h
        agenda/viewcalendar.h
        agenda/agenda.h
        month/monthview.h
        month/monthscene.h
        month/monthgraphicsitems.h
        month/monthitem.h
        helper.h
        prefs.h
)

kconfig_add_kcfg_files(KPim6EventViews prefs_base.kcfgc)

ecm_qt_declare_logging_category(KPim6EventViews HEADER calendarview_debug.h
        IDENTIFIER CALENDARVIEW_LOG
        CATEGORY_NAME org.kde.pim.calendarview
        OLD_CATEGORY_NAMES log_calendarview
        DESCRIPTION "kdepim (eventviews)" EXPORT EVENTVIEWS
)

ki18n_wrap_ui(KPim6EventViews
  agenda/timescaleedit_base.ui
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6EventViews PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6EventViews
    BASE_NAME eventviews
    VERSION ${EVENTVIEWS_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(
    KPim6EventViews
    PUBLIC
        KPim6::AkonadiCore
        KPim6::CalendarSupport
        KF6::CalendarCore
        KPim6::CalendarUtils
        KPim6::AkonadiCalendar
        KF6::ItemModels
    PRIVATE
        KF6::Holidays
        KF6::Completion
        KF6::Service
        KF6::IconThemes
        KF6::GuiAddons
        KF6::I18n
        KF6::ColorScheme
        KPim6::Libkdepim
        KF6::Codecs
        KGantt6
        KPim6::AkonadiWidgets
        KF6::Contacts
)

target_include_directories(
    KPim6EventViews
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/EventViews/>"
)
target_include_directories(
    KPim6EventViews
    PUBLIC
        "$<BUILD_INTERFACE:${eventviews_SOURCE_DIR}/src;${eventviews_BINARY_DIR}/src;>"
)

set_target_properties(
    KPim6EventViews
    PROPERTIES
        VERSION ${EVENTVIEWS_VERSION}
        SOVERSION ${EVENTVIEWS_SOVERSION}
        EXPORT_NAME EventViews
)

install(
    TARGETS KPim6EventViews
    EXPORT KPim6EventViewsTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(eventviews_CamelCase_HEADERS
  HEADER_NAMES
  Helper
  Prefs
  EventView
  REQUIRED_HEADERS eventviews_CamelCase_HEADERS
  PREFIX EventViews
)

ecm_generate_headers(eventviews_CamelCaseagenda_HEADERS
  HEADER_NAMES
  CalendarDecoration
  AgendaView
  ViewCalendar
  REQUIRED_HEADERS eventviews_agenda_HEADERS
  PREFIX EventViews
  RELATIVE agenda
)

ecm_generate_headers(eventviews_CamelCasetodo_HEADERS
  HEADER_NAMES
  TodoView
  REQUIRED_HEADERS eventviews_todo_HEADERS
  PREFIX EventViews
  RELATIVE todo
)

ecm_generate_headers(eventviews_CamelCasemonth_HEADERS
  HEADER_NAMES
  MonthView
  REQUIRED_HEADERS eventviews_month_HEADERS
  PREFIX EventViews
  RELATIVE month
)

ecm_generate_headers(eventviews_CamelCaselist_HEADERS
  HEADER_NAMES
  ListView
  REQUIRED_HEADERS eventviews_list_HEADERS
  PREFIX EventViews
  RELATIVE list
)

ecm_generate_headers(eventviews_CamelCasejournal_HEADERS
  HEADER_NAMES
  JournalView
  REQUIRED_HEADERS eventviews_journal_HEADERS
  PREFIX EventViews
  RELATIVE journal
)

ecm_generate_headers(eventviews_CamelCasemultiagenda_HEADERS
  HEADER_NAMES
  MultiAgendaView
  ConfigDialogInterface
  REQUIRED_HEADERS eventviews_multiagenda_HEADERS
  PREFIX EventViews
  RELATIVE multiagenda
)

ecm_generate_headers(eventviews_CamelCasetimeline_HEADERS
  HEADER_NAMES
  TimeLineView
  REQUIRED_HEADERS eventviews_timeline_HEADERS
  PREFIX EventViews
  RELATIVE timeline
)

ecm_generate_headers(eventviews_CamelCasewhatsnext_HEADERS
  HEADER_NAMES
  WhatsNextView
  REQUIRED_HEADERS eventviews_whatsnext_HEADERS
  PREFIX EventViews
  RELATIVE whatsnext
)

install(
    FILES
        ${eventviews_CamelCase_HEADERS}
        ${eventviews_CamelCaseagenda_HEADERS}
        ${eventviews_CamelCasetodo_HEADERS}
        ${eventviews_CamelCasewhatsnext_HEADERS}
        ${eventviews_CamelCasetimeline_HEADERS}
        ${eventviews_CamelCasemultiagenda_HEADERS}
        ${eventviews_CamelCasejournal_HEADERS}
        ${eventviews_CamelCaselist_HEADERS}
        ${eventviews_CamelCasemonth_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/EventViews/EventViews
    COMPONENT Devel
)

install(
    FILES
        ${eventviews_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/eventviews_export.h
        ${eventviews_CamelCase_HEADERS}
        ${eventviews_agenda_HEADERS}
        ${eventviews_todo_HEADERS}
        ${eventviews_whatsnext_HEADERS}
        ${eventviews_timeline_HEADERS}
        ${eventviews_multiagenda_HEADERS}
        ${eventviews_journal_HEADERS}
        ${eventviews_list_HEADERS}
        ${eventviews_month_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/EventViews/eventviews
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT EVENTVIEWS FILE eventviews.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6EventViews_QCH
        NAME KPim6EventViews
        BASE_NAME KPim6EventViews
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${eventviews_CamelCase_HEADERS}
        ${eventviews_agenda_HEADERS}
        ${eventviews_todo_HEADERS}
        ${eventviews_whatsnext_HEADERS}
        ${eventviews_timeline_HEADERS}
        ${eventviews_multiagenda_HEADERS}
        ${eventviews_journal_HEADERS}
        ${eventviews_list_HEADERS}
        ${eventviews_month_HEADERS}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            EVENTVIEWS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_TESTING)
    add_subdirectory(month/autotests)
endif()

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(
    createcolorgui_test
    createcolorgui_test.cpp
    createcolorgui_test.h
)
ecm_mark_as_test(createcolorgui_test)
target_link_libraries(
    createcolorgui_test
    Qt::Core
    Qt::Gui
    KPim6::EventViews
    KF6::I18n
    KF6::ConfigGui
)

=== debian/changelog ===
eventviews (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:05:06 +0100

=== debian/control ===
Source: eventviews
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libcalendarsupport-dev (>= 4:25.08.1~),
               libkcalendarutils-dev (>= 4:25.08.1~),
               libkdepim-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkmime-dev (>= 25.08.1~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/eventviews
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Rules-Requires-Root: no

Package: libeventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libeventviews-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.1~),
         libakonadicalendar-dev (>= 4:25.08.1~),
         libcalendarsupport-dev (>= 4:25.08.1~),
         libkcalendarutils-dev (>= 4:25.08.1~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkpim6eventviews6 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM event handling - development files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkpim6eventviews6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libeventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

## eventviews 25.08.2

=== debian/changelog ===
eventviews (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libcalendarsupport-dev (>= 4:25.08.1~),
-               libkcalendarutils-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libcalendarsupport-dev (>= 4:25.08.2~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -26,7 +26,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.2~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.1~),
-         libakonadicalendar-dev (>= 4:25.08.1~),
-         libcalendarsupport-dev (>= 4:25.08.1~),
-         libkcalendarutils-dev (>= 4:25.08.1~),
+Depends: libakonadi-dev (>= 4:25.08.2~),
+         libakonadicalendar-dev (>= 4:25.08.2~),
+         libcalendarsupport-dev (>= 4:25.08.2~),
+         libkcalendarutils-dev (>= 4:25.08.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},

## eventviews 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.3")
 
 project(eventviews VERSION ${PIM_VERSION})
 
@@ -59,12 +59,12 @@
 )
 
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(AKONADI_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

=== debian/changelog ===
eventviews (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:36 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.2~),
-               libakonadicalendar-dev (>= 4:25.08.2~),
-               libcalendarsupport-dev (>= 4:25.08.2~),
-               libkcalendarutils-dev (>= 4:25.08.2~),
-               libkdepim-dev (>= 4:25.08.2~),
+               libakonadi-dev (>= 4:25.08.3~),
+               libakonadicalendar-dev (>= 4:25.08.3~),
+               libcalendarsupport-dev (>= 4:25.08.3~),
+               libkcalendarutils-dev (>= 4:25.08.3~),
+               libkdepim-dev (>= 4:25.08.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -26,7 +26,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.3~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.2~),
-         libakonadicalendar-dev (>= 4:25.08.2~),
-         libcalendarsupport-dev (>= 4:25.08.2~),
-         libkcalendarutils-dev (>= 4:25.08.2~),
+Depends: libakonadi-dev (>= 4:25.08.3~),
+         libakonadicalendar-dev (>= 4:25.08.3~),
+         libcalendarsupport-dev (>= 4:25.08.3~),
+         libkcalendarutils-dev (>= 4:25.08.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/eventviews-([\d.]+)\.tar\.xz

## eventviews 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -57,14 +57,14 @@
     ${BUILD_QCH}
     "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(AKONADI_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
@@ -123,7 +123,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.20.0
 )
 add_subdirectory(src)
 if(BUILD_TESTING)

=== debian/changelog ===
eventviews (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:59 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.3~),
-               libakonadicalendar-dev (>= 4:25.08.3~),
-               libcalendarsupport-dev (>= 4:25.08.3~),
-               libkcalendarutils-dev (>= 4:25.08.3~),
-               libkdepim-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libakonadicalendar-dev (>= 4:25.11.80~),
+               libcalendarsupport-dev (>= 4:25.11.80~),
+               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkdepim-dev (>= 4:25.11.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -26,7 +26,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 25.08.3~),
+               libkmime-dev (>= 25.11.80~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.3~),
-         libakonadicalendar-dev (>= 4:25.08.3~),
-         libcalendarsupport-dev (>= 4:25.08.3~),
-         libkcalendarutils-dev (>= 4:25.08.3~),
+Depends: libakonadi-dev (>= 4:25.11.80~),
+         libakonadicalendar-dev (>= 4:25.11.80~),
+         libcalendarsupport-dev (>= 4:25.11.80~),
+         libkcalendarutils-dev (>= 4:25.11.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},

## eventviews 25.11.90

=== debian/changelog ===
eventviews (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libcalendarsupport-dev (>= 4:25.11.80~),
-               libkcalendarutils-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libcalendarsupport-dev (>= 4:25.11.90~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -26,7 +26,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.80~),
-         libakonadicalendar-dev (>= 4:25.11.80~),
-         libcalendarsupport-dev (>= 4:25.11.80~),
-         libkcalendarutils-dev (>= 4:25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
+         libakonadicalendar-dev (>= 4:25.11.90~),
+         libcalendarsupport-dev (>= 4:25.11.90~),
+         libkcalendarutils-dev (>= 4:25.11.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},

## eventviews 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 
 project(eventviews VERSION ${PIM_VERSION})
 
@@ -59,12 +59,12 @@
 )
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(AKONADI_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(AKONADI_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

=== debian/changelog ===
eventviews (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:38 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -26,7 +26,7 @@
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6service-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkmime-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.12.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.90~),
-         libakonadicalendar-dev (>= 4:25.11.90~),
-         libcalendarsupport-dev (>= 4:25.11.90~),
-         libkcalendarutils-dev (>= 4:25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
+         libakonadicalendar-dev (>= 4:25.12.0~),
+         libcalendarsupport-dev (>= 4:25.12.0~),
+         libkcalendarutils-dev (>= 4:25.12.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6eventviews6 (= ${binary:Version}),
          ${misc:Depends},

## eventviews 25.12.1

=== debian/changelog ===
eventviews (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:14 +0100

eventviews (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:49 +0100

eventviews (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:28 +0100

eventviews (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:26:01 +0100

=== debian/control ===
Source: eventviews
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libcalendarsupport-dev (>= 4:25.12.1~),
               libkcalendarutils-dev (>= 4:25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkgantt-dev (>= 3.0.0~),
               libkmime-dev (>= 25.12.1~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/eventviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git
Rules-Requires-Root: no

Package: libeventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libeventviews-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.1~),
         libakonadicalendar-dev (>= 4:25.12.1~),
         libcalendarsupport-dev (>= 4:25.12.1~),
         libkcalendarutils-dev (>= 4:25.12.1~),
         libkf6calendarcore-dev (>= 6.18.0~),
         libkpim6eventviews6 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM event handling - development files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkpim6eventviews6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libeventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

## eventviews 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.2")
 
 project(eventviews VERSION ${PIM_VERSION})
 
@@ -59,12 +59,12 @@
 )
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.0")
-set(AKONADI_LIB_VERSION "6.6.0")
-set(AKONADICALENDAR_LIB_VERSION "6.6.0")
-set(KMIME_LIB_VERSION "6.6.0")
-set(LIBKDEPIM_LIB_VERSION "6.6.0")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.2")
+set(AKONADI_LIB_VERSION "6.6.2")
+set(AKONADICALENDAR_LIB_VERSION "6.6.2")
+set(KMIME_LIB_VERSION "6.6.2")
+set(LIBKDEPIM_LIB_VERSION "6.6.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

=== debian/changelog ===
eventviews (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:38:32 +0000

eventviews (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:37:15 +0000

eventviews (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:57 +0000

=== debian/control ===
Source: eventviews
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libcalendarsupport-dev (>= 4:25.12.2~),
               libkcalendarutils-dev (>= 4:25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkmime-dev (>= 25.12.2~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/eventviews
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Rules-Requires-Root: no

Package: libeventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libeventviews-dev
Section: libdevel
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.2~),
         libakonadicalendar-dev (>= 4:25.12.2~),
         libcalendarsupport-dev (>= 4:25.12.2~),
         libkcalendarutils-dev (>= 4:25.12.2~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkpim6eventviews6 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM event handling - development files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkpim6eventviews6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: libeventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.
